Skip to content

Checkout crypto payment

POST
/api/v1/payments/crypto/checkout

Initiate a crypto payment session.

organization_id
required
Organization Id
string
credit_plan_id
required
Credit Plan Id
string
quantity
required
Quantity
integer
token
required
Token
string
agent_id
Any of:
string
social_account_identifier
Any of:
string

Successful Response

CheckoutCryptoResponse
object
memo
required
Memo
string
amount
required
Amount
integer
recipient
required
Recipient
string
token
required
Token
string

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Invalid redirect URLs, organization not found/not owner, plan already active, or invalid payment option.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Plan already active for this organization",
"error_code": "plan_already_active"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string